关于多重引线addmleader方法的问题
addmleader方法中有两个参数,第一个是引线端点,第二个参数不知道是什么,还有各参数的中英文对照,请高手指点 没有知道有关mleader的内容吗?明总呢!!!!我用VBA做出来之后,为什么生成的文字总是在水平基线的左边,而不能像在CAD里直接画的时候那样,根据引线的方向来确定文字在左边还是在右边 point1 = ThisDrawing.Utility.GetPoint(, vbCr & "请指定标注点")point11 = ThisDrawing.Utility.TranslateCoordinates(point1, acWorld, acUCS, False)
point2 = ThisDrawing.Utility.GetPoint(point11, vbCr & "请指定标注位置")
point22 = ThisDrawing.Utility.TranslateCoordinates(point2, acWorld, acUCS, False)
If bz1.clzb.Value = False Then
vtext1 = "X=" & FormatNumber(point11(0), xiaoshu, vbTrue, vbFalse, vbFalse)
vtext2 = "Y=" & FormatNumber(point11(1), xiaoshu, vbTrue, vbFalse, vbFalse)
Else
vtext1 = "X=" & FormatNumber(point11(1), xiaoshu, vbTrue, vbFalse, vbFalse)
vtext2 = "Y=" & FormatNumber(point11(0), xiaoshu, vbTrue, vbFalse, vbFalse)
End If
mlp(0) = point1(0)
mlp(1) = point1(1)
mlp(2) = point1(2)
mlp(3) = point2(0)
mlp(4) = point2(1)
mlp(5) = point2(2)
Set ml = ThisDrawing.ModelSpace.AddMLeader(mlp, d)
ml.TextLineSpacingFactor = 0.85
ml.TextString = vtext1 & "\P" & vtext2
ml.ArrowheadType = acArrowNone
ml.TextRightAttachmentType = acAttachmentBottomOfTopLine '文字连接位置-右
ml.TextLeftAttachmentType = acAttachmentBottomOfTopLine '文字连接位置-左
ml.DogLegged = True
ml.LandingGap = 0
ml.TextHeight = height
ml.ArrowheadSize = 0
ml.DoglegLength = height 本帖最后由 rielzhou 于 2013-1-12 11:40 编辑
这是我的程序的其中一段,目的就是过通两个点还确定引线,并标注第一个点的坐标
现在的程序出来是这个样子我希望右边的多重引线的文字是向右的而不是向左
没有人知道吗???我自己研究了很多天也不没有解决 当landinggap值设为0时第二个点会自动向左偏移4个单位,而其值设为2时就不会,landinggap设为其它值时会相应的偏移,landinggap值每变化1个单位时,第二个点偏移的距离为2个单位,小于2的向左偏,大于2的向右偏,这是怎么回事啊? 你用ML.TextJustify 方法设置一下文字对齐方式试试 把点坐标入到一个数组里面,明总的贴有写的。
页:
[1]